Subject: Re: [PATCH 0/3] Documentation: Fix issues with Oxford Semiconductor PCIe (Tornado) 950

From: Akira Yokosawa <[email-masked]>
Date: Sun, 15 May 2022 18:11:47 +0900

Hi Maciej,

On Fri, 13 May 2022 23:41:57 +0100 (BST),
Maciej W. Rozycki wrote:
> Hi,
[...]
> 
>  For the latter command however I need to note that several other 
> documents in our Documentation/ tree suffer from a problem that causes 
> `make pdfdocs' to fail (and the failure cannot be worked around with 
> make's `-k -i' options, i.e. no output is ever produced), e.g.:
> 
> Markup is unsupported in LaTeX:
> filesystems/9p:: nested tables are not yet implemented.
> 
> and similarly for: filesystems/erofs, filesystems/f2fs, filesystems/ntfs, 
> networking/device_drivers/ethernet/dlink/dl2k, scsi/arcmsr_spec, 
> scsi/g_NCR5380, scsi/ncr53c8xx, and scsi/sym53c8xx_2.  I don't know if it 
> is a known problem, possibly addressed in a newer version of tools, so 
> I've thought it might be worth reporting.
> 
[...]
> 
>  NB XeTeX, Version 3.14159265-2.6-0.99999 (TeX Live 2019/dev/Debian) and 
> Sphinx 1.8.4 here.

As mentioned in the section titled "PDF and LaTeX builds" in
Documentation/doc-guide/sphinx.rst, "make pdfdocs" requires Sphinx 2.4 or
later.

Another hint for you.

You can say "make SPHINXDIRS=<sub dir> htmldocs pdfdocs" to
test-build docs under Documentation/<sub dir>/.
You might see false warnings of "WARNING: undefined label: ..."
which you wouldn't see in full builds, though.

Hope this helps.

I see there is no mention of the SPHINXDIRS make variable in the
doc-guide.  I'll see it can be explained somewhere in sphinx.rst.

        Thanks, Akira
> 
>  The issues are not directly related to the changes proposed here though,
> so please apply them.
> 
>   Maciej